=== debian/control ===
Source: pax-britannica
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libglfw3-dev,
 libglu1-mesa-dev | libglu-dev,
 liblua5.1-0-dev,
 libxrandr-dev
Standards-Version: 4.6.0
Homepage: http://gangles.ca/games/pax-britannica/
Vcs-Browser: https://salsa.debian.org/games-team/pax-britannica
Vcs-Git: https://salsa.debian.org/games-team/pax-britannica.git
Rules-Requires-Root: no

Package: pax-britannica
Architecture: any
Depends:
 pax-britannica-data,
 ${misc:Depends},
 ${shlibs:Depends}
Description: one-button multi-player real-time strategy game
 Pax Britannica is a one-button real-time strategy game by No Fun Games.
 Up to four players battle it out underwater, struggling to be the last
 one standing!
 .
 Each player uses one button to spawn ships that fight automatically using
 the latest in artificial aquatelligence technology. Gamepads are also
 supported.  The player who keeps their factory ship alive wins!
 .
 This package contains the game binary.

Package: pax-britannica-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: data files for pax-britannica game
 Pax Britannica is a one-button real-time strategy game by No Fun Games.
 Up to four players battle it out underwater, struggling to be the last
 one standing!
 .
 Each player uses one button to spawn ships that fight automatically using
 the latest in artificial aquatelligence technology. Gamepads are also
 supported.  The player who keeps their factory ship alive wins!
 .
 This package contains the game data and media files.
